namespace FSI.BT.Tools.Global.Commands
{
    /// <summary>
    /// Shows the main window.
    /// </summary>
    public class ProcessCommand : CommandBase<ProcessCommand>
    {
        public override void Execute(object parameter)
        {
            RadialMenu.UserInterface.FrmProcesses frm = new RadialMenu.UserInterface.FrmProcesses()
            {
                WinCC = Vars.WinCC
            };

            frm.Iba = Vars.Iba;
            frm.ShowDialog();
        }

        public override bool CanExecute(object parameter)
        {
            return Vars.AdminRights;
        }
    }
}